# Bisc
### A small tool that clears qutebrowser cookies

## Configuration

The bisc configuration file is `$XDG_CONFIG_HOME/bisc/bisc.conf`.
It allows to change the paths of the QtWebEngine/Chromium
directory and the whitelist file.
The default settings are:
```
whitelist-path = $(XDG_CONFIG_HOME)/qutebrowser/whitelists/cookies
webengine-path = $(XDG_DATA_HOME)/qutebrowser/webengine
```

## Usage

Create an empty whitelist file and write the domains of the
allowed cookies, one per line.
Eg.
```
.example.com
example.com
```

Run `bisc` to delete all non-whitelisted data from qutebrowser.

## License

Copyright (C) 2019 Michele Guerini Rocco

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
